SplitMeshWithCurve - python


#1

Hi there,

I am unable to find the command SplitMeshWithCurve in both rhinoscript and Rhino app. And also more basic commands and advanced commands operating with meshes (cutting, trimming, intersecting…) Where should I look to find them ?

Thanks !


(Dale Fugier) #2

Hi Peter,

The usual process for splitting a mesh with a curve is to first extrude the curve through the mesh. Then create a mesh from the extrusion. And finally using this mesh as the cutter.

Does this help?

– Dale


#3

Hi Dale,

sure, this helps perfectly ! Browsing the available commands I have found MeshMeshAccurate, MeshMeshFast and Mesh.Split. Is there any fundamental difference between these commands or some additional contraints? I would like to do exactly what SplitMeshWithCurve command is doing. Which one would you prefer ?

Peter


(Dale Fugier) #4

Hi Peter,

The Rhino.Geometry.Intersect.MeshMeshAccurate and Rhino.Geometry.Intersect.MeshMeshFast static functions only calculate the intersection between two meshes. They will not split a mesh.

Use Rhino.Geometry.Mesh.Split.

– Dale


#5

Yes, you are right. Thanks Dale !

Peter